Subject: I need answers for this cases please
From: Yarngam Makan <[email-masked]>
To: Rosette Modiri <[email-masked]>
Date: Mon, 18 Nov 2019 11:12:20 -0700 (MST)

CASE1368465 
Fwd: Support C2460323 Tarah Moon 
LCD display .... SO creation approval 

CASE1373812 got the The Swagger 2 Plus and I wanted to know is how do I keep the light on 

CASE1375516 spare parts, needed for these ( all plastic fender have broken off ) my front tire is flat / rear tire is having dry rot issues again. customer just wants the link to buy spare parts. 

CASE1372000 customer is asking for claim 

CASE1373482 motor controller arrived damage from our warehouse / fed up of long procedure / wants refund